package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "生成课程短链/海报入参")
public class FsCourseSortLinkParam {

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "链接有效时长（分钟）")
    private Integer effectiveDuration;

    @ApiModelProperty(value = "课程封面，生成海报时必传")
    private String imgUrl;

    @ApiModelProperty(value = "标题，生成海报时必传")
    private String title;

    @ApiModelProperty(value = "视频时长，生成海报时必传")
    private String duration;

    @ApiModelProperty(value = "营期id")
    private Long periodId;

}
