package com.fs.course.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.course.domain.FsVideoResource;
import com.fs.course.mapper.FsVideoResourceMapper;
import com.fs.course.service.IFsVideoResourceService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class FsVideoResourceServiceImpl extends ServiceImpl<FsVideoResourceMapper, FsVideoResource> implements IFsVideoResourceService {

    /**
     * 查询素材库列表
     *
     * @param params    参数
     * @return  list
     */
    @Override
    public List<FsVideoResource> selectVideoResourceListByMap(Map<String, Object> params) {
        return baseMapper.selectVideoResourceListByMap(params);
    }
}
