package com.fs.statis;

/**
 * 统计redis常量
 */
public class StatisticsRedisConstant {
    /**
     * 经销商统计
     */
    public static final String DATA_OVERVIEW_DEALER_AGGREGATED = "statistics::data::overview::DealerAggregatedDTO";
    /**
     * 短信余额
     */
    public static final String DATA_OVERVIEW_DEALER_SMS_BALANCE = "statistics::data::overview::SMS::BALANCE";
    /**
     * 余额类
     */
    public static final String DATA_OVERVIEW_DEALER_BALANCE = "statistics::data::overview::balance";
    /**
     * 平台统计类信息
     */
    public static final String DATA_OVERVIEW_DEALER_AUTHORIZATION_INFO = "statistics::data::overview::authorizationInfo";

    /**
     * 分析概览-今日
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_TODAY = "statistics::data::overview::AnalysisPreviewDTO::0";
    /**
     * 分析概览-昨日
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_YESTODAY = "statistics::data::overview::AnalysisPreviewDTO::1";

    /**
     * 分析概览-本周
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_THIS_WEEEK = "statistics::data::overview::AnalysisPreviewDTO::2";

    /**
     * 分析概览-本月
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_THIS_MONTH = "statistics::data::overview::AnalysisPreviewDTO::3";
    /**
     * 分析概览-上月
     */
    public static final String DATA_OVERVIEW_DEALER_ANALYSISPREVIEW_BEFORE_MONTH = "statistics::data::overview::AnalysisPreviewDTO::4";


    /**
     * 会员观看、完播人数趋势图
     */
    public static final String DATA_OVERVIEW_DEALER_CHARTS = "statistics::data::charts::dealer::charts";


    /**
     * 经销商会员观看TOP10 - 按观看人数
     */
    public static final String CHARTS_MEMBER_TOP_TEN_WATCH = "statistics::data::charts::memeber::top10::watch::user::count";
    /**
     * 经销商会员观看TOP10 - 按完播人数
     */
    public static final String CHARTS_MEMBER_TOP_TEN_COMPLETED = "statistics::data:charts::memeber::top10::watch::completed::user::count";


}
