package com.fs.statis.dto;

import lombok.Data;
import lombok.Setter;

import java.io.Serializable;

@Data
@Setter
public class AnalysisPreviewQueryDTO implements Serializable {

    /**
     * 0 今日，1昨日，2本周，3本月，4上月
     */
    private Integer type;

    /**
     * 0 观看人数，1 完播人数,2 答题人数,3 正确人数
     */
    private Integer statisticalType;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 排序 DESC ASC
     */
    private String sort;

    /**
     * 0 按公司统计 1 按课程统计
     */
    private Integer dataType;

}
