package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 题库对象 fs_course_question_bank
 *
 * @author fs
 * @date 2024-09-07
 */
@Data
public class FsCourseQuestionBank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 问题 */
    @Excel(name = "问题")
    private String title;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 类别1 单选 2 多选  */
    @Excel(name = "类别1 单选 2 多选 ")
    private Long type;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 选项 */
    @Excel(name = "选项")
    private String question;

    /** 答案 */
    @Excel(name = "答案")
    private String answer;
    private Long questionType;
}
