package com.fs.course.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsVideoResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface FsVideoResourceMapper extends BaseMapper<FsVideoResource> {

    /**
     * 查询素材库列表
     *
     * @param params    参数
     * @return  list
     */
    List<FsVideoResource> selectVideoResourceListByMap(@Param("params") Map<String, Object> params);
}
