package com.fs.course.param;

import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel("公司红包金额列表")
public class CompanyRedPacket implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @Excel(name = "金额")
    private BigDecimal amount;

}
