package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsUserCourseVideoLinkParam implements Serializable {
    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "用户id")
    private Long fsUserId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "链接类型，0:正常链接；1:应急链接")
    private Integer linkType;
}
