package com.fs.course.vo.newfs;

import com.fs.course.config.CourseConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class FsUserCourseVideoLinkDetailsVO {

    @ApiModelProperty(value = "课程视频和题库详情")
    private FsUserCourseVideoDetailsVO courseVideoDetails;

    @ApiModelProperty(value = "课程相关配置信息（默认的）")
    private CourseConfig courseConfig;

    @ApiModelProperty(value = "是否完课,1-是，0-否")
    private Integer isFinish;

    @ApiModelProperty(value = "看课时长")
    private Long playDuration;

}
